# The Trial Offer object

### The Trial Offer object

```json
{
  "id": "to_1Hh5Xx2eZvKYlo2C8JaUOv4R",
  "object": "product_catalog.trial_offer",
  "livemode": false,
  "active": true,
  "duration": {
    "relative": {
      "iterations": 2
    },
    "type": "relative"
  },
  "end_behavior": {
    "transition": {
      "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv3P"
    },
    "type": "transition"
  },
  "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv2Q"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "product_catalog.trial_offer")
  String representing the object’s type. Objects of the same type share the same value.

- `active` (boolean)
  Whether the trial offer is active. Set to false to archive the trial offer.

- [`duration`](https://docs.stripe.com/api/product-catalog/trial-offer/object.md?query=duration) (object)
  The duration of the trial offer.

- [`end_behavior`](https://docs.stripe.com/api/product-catalog/trial-offer/object.md?query=end_behavior) (object)
  The behavior of the trial offer when it ends.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `nickname` (string, nullable)
  A brief description of the trial offer, hidden from customers.

  The maximum length is 255 characters.

- `price` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The price during the trial offer.
